* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                                                            */
/* This SPSS program will extract the United States Sentencing Commission's                                 */
/* Federal Armed Career Criminals: Prevalence, Patterns, and Pathways report 10 year                  */
/* file and create a SPSS dataset.                                                                                                                   */
/*                                                                                                                                                                             */
/* Prior to running the program you must update the DAT file location in the                                         */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                             */
/* computer.                                                                                                                                                         */
/*                                                                                                                                                                             */
/* You must also update the file output location in the SAVE OUTFILE statement at the                     */
/* end of the program to correspond to the folder you want the output file to be located.                     */
/*                                                                                                                                                                             */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\USSC_ACCA10yr_Public.dat" ENCODING="CP1252" / LRECL=78 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              ACCAP 8                  CAROFFAP 9            
   AGE 10-11                CIRCDIST 12-13           COMBDRG2 14-15        
   IS924C 16                MONRACE 17               MONSEX 18             
   NEWCIT 19                NEWRACE 20               TOTCHPTS 21-22        
   XCRHISSR 23              GUNMIN1 24-27            STATMIN 28-31         
   MITROLHI 32-33           GDLINEHI 34-41 (A)       FY 42-45              
   SENTRNGE2 46             RELIEF 47                RELIEFDUM 48          
   CHC 49                   SENSPCAP2 50-67          NEW_GLMIN 68-70       
   ACCA 71                  GLOVERSTAT 72            NEW_XMINSOR 73-75     
   EQGLMIN 76               SENTSTAT 77              FELON 78 .            


FORMATS
  SENSPCAP2 (F19.16) / .

VARIABLE LABELS
   USSCIDN 'USSCIDN'
   MONRACE 'MONRACE'
   MONSEX 'MONSEX'
   TOTCHPTS 'TOTCHPTS'
   XCRHISSR 'XCRHISSR'
   STATMIN 'MONMIN'
.

SAVE OUTFILE='.\USSC_ACCA10yr_Public.sav'.
