* Encoding: UTF-8.
/*********************************************************************************************************/
/*                                                                                                                                                                            */
/* This SPSS program will extract the United States Sentencing Commission's                                 */
/* Federal Armed Career Criminals: Prevalence, Patterns, and Pathways report 2019                      */
/*  fiscal year file and create a SPSS dataset.                                                                                               */
/*                                                                                                                                                                             */
/* Prior to running the program you must update the DAT file location in the                                         */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                             */
/* computer.                                                                                                                                                         */
/*                                                                                                                                                                             */
/* You must also update the file output location in the SAVE OUTFILE statement at the                     */
/* end of the program to correspond to the folder you want the output file to be located.                     */
/*                                                                                                                                                                             */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\USSC_ACCAFY19_Public.dat" ENCODING="CP1252" / LRECL=85 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              FLAG_HOMICIDE_R 8        FLAG_RAPE_R 9         
   FLAG_ROBBERY_R 10        FLAG_ASSAULT_R 11        FLAG_OTHER_VIOLENT_R 12
   FLAG_BURGLARY_R 13       FLAG_LARCENY_R 14        FLAG_FRAUD_R 15       
   FLAG_OTHER_PROPERTY_R 16   FLAG_DRUG_TRAFFIC_R 17   FLAG_DRUG_POSSESS_R 18
   FLAG_DRUG_OTHER_R 19     FLAG_WEAPON_R 20         FLAG_DUI_R 21         
   FLAG_IMMIGRATION_R 22    FLAG_OTHER_PUBLIC_ORDER_R 23
   FLAG_OTHER_UNSPECIFIED_R 24   FLAG_VIOLENT_R 25        FLAG_DRUG_VIOL_R 26   
   SENSPCAP 27-32           ACCAP 33                 AGE 34-35             
   CAROFFAP 36              CIRCDIST 37-38           CO924TAB 39           
   COMBDRG2 40-41           IS924C 42                MONRACE 43            
   MONSEX 44                NEWCIT 45                NEWRACE 46            
   OFFGUIDE 47-48           SENTRNGE 49              TOTCHPTS 50-51        
   XCRHISSR 52              GUNMIN1 53-56            STATMIN 57-60         
   GDLINEHI 61-68 (A)       GDSTATHI 69-76 (A)       ACCA 77               
   RELIEF 78                RELIEFDUM 79             CHC 80                
   NEW_GLMIN 81-83          FOL_CHECK 84             IMPACTACCA 85 .       


FORMATS
  SENSPCAP (F7.2) / .
   
VARIABLE LABELS
   USSCIDN 'USSC Unique ID'
.

SAVE OUTFILE='.\USSC_ACCAFY19_Public.sav'.
